﻿Public Class Form1

    ' Ausgabebild am Anfang mit gewünschter Größe erstellen
    Private Sub Form1_Load(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles MyBase.Load

        picOut.Image = New Bitmap(picOut.Width, picOut.Height)
    End Sub

    ' Zeichenfläche löschen
    Private Sub Button1_Click(ByVal sender As System.Object, _
            ByVal e As System.EventArgs) Handles cmdClear.Click

        ' Graphics-Objekt erstellen
        Using g = Graphics.FromImage(picOut.Image)
            g.Clear(Color.White)
        End Using

        ' Ergebnis anzeigen
        picOut.Invalidate()
    End Sub

    ' Kreis an Mausposition zeichnen
    Private Sub picOut_MouseDown(ByVal sender As Object, _
            ByVal e As System.Windows.Forms.MouseEventArgs) _
            Handles picOut.MouseDown

        ' Graphics-Objekt erstellen
        Using g = Graphics.FromImage(picOut.Image), Brush = _
                New SolidBrush(Color.FromArgb(180, Color.CornflowerBlue))

            g.SmoothingMode = Drawing2D.SmoothingMode.HighQuality
            g.FillEllipse(Brush, e.Location.X - 10, e.Location.Y - 10, 20, 20)
        End Using

        ' Ergebnis anzeigen
        picOut.Invalidate()
    End Sub
End Class
